Joomla! upgrade 2.5.x naar 3.x

Sinds het loslaten van de Joomla! Release Strategie gebaseerd op Short Term Support en Long Term Support is er geen noodzaak meer om op Joomla! 2.5 te blijven en te wachten op Joomla! 3.5. Sterker nog sinds 1-1-2015 is 2.5 niet meer ondersteund door Joomla.

1. Maak een lijstje van alle geïnstalleerde extensies en controleer of ze geschikt zijn voor Joomla! 3.x. Als ze niet geschikt zijn voor Joomla! 3.x en als dat op korte termijn ook nog niet gaat gebeuren moet je op zoek naar alternatieven of de extensies helemaal niet meer gebruiken.

1.1. Deïnstalleer je eigen extensies.
2.1. Stel een standaard Joomla temlpate in (voor de zekerheid.

2. Backup. Maak altijd een backup. Of nog beter zet via installatron een kopie in /test en ga hier mee aan de slag.

3. Ga naar Componenten >> Joomla! Updaten. Klik op Opties om de instelling van “Long Term Support” te wijzigen naar “Short Term Support”. Ga terug naar Componenten >> Joomla! Updaten en zie dat je de mogelijkheid hebt om Joomla! naar 3.x te updaten. Klik op UPDATE. Heb je helemaal geen “Updaten” Ga dan naar Componenten, Discover en instaleer deze.

3.1. Als er niets fout gaat dan ben je nu over naar Joomla! 3.x.
3.2. Ga naar Extensies >> Extensiebeheer >> Ontdekken en druk op de knop “Ontdekken” om nieuwe en nog niet geïnstalleerde extensies te ontdekken. Installeer de extensies, die je nodig hebt.

3.3. Ga naar Extensies >> Extensiebeheer >> Updaten. Voer een update uit voor de bestaande extensies, waaronder het taalbestand voor Joomla! 3.x

3.4. Installeer de eigen extensies (uit je eerder gemaakte lijst), Update je eigen template (als je dat nog niet hebt gedaan) en stel deze weer in.

Tags: